org.springframework.data.domain

## Enum ExampleMatcher.StringMatcher

- java.lang.Object
- - java.lang.Enum<ExampleMatcher.StringMatcher>
  - - org.springframework.data.domain.ExampleMatcher.StringMatcher

All Implemented Interfaces:
  Serializable, Comparable<ExampleMatcher.StringMatcher>

Enclosing interface:
  ExampleMatcher

    public static enum ExampleMatcher.StringMatcher
    extends Enum<ExampleMatcher.StringMatcher>

Match modes for treatment of `String` values.

Author:
  Christoph Strobl, Jens Schauder

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTAINING` Matches string containing pattern
`DEFAULT` Store specific default.
`ENDING` Matches string ending with pattern
`EXACT` Matches the exact string
`REGEX` Treats strings as regular expression patterns
`STARTING` Matches string starting with pattern

### Method Summary

All Methods Static Methods Concrete Methods
`static ExampleMatcher.StringMatcher` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExampleMatcher.StringMatcher[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final ExampleMatcher.StringMatcher DEFAULT

Store specific default.

#### EXACT

    public static final ExampleMatcher.StringMatcher EXACT

Matches the exact string

#### STARTING

    public static final ExampleMatcher.StringMatcher STARTING

Matches string starting with pattern

#### ENDING

    public static final ExampleMatcher.StringMatcher ENDING

Matches string ending with pattern

#### CONTAINING

    public static final ExampleMatcher.StringMatcher CONTAINING

Matches string containing pattern

#### REGEX

    public static final ExampleMatcher.StringMatcher REGEX

Treats strings as regular expression patterns

### Method Detail

#### values

    public static ExampleMatcher.StringMatcher[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExampleMatcher.StringMatcher c : ExampleMatcher.StringMatcher.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExampleMatcher.StringMatcher valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null